#!/bin/bash
# Added collection of Storage Efficiency (Space Optimization) Data to Files
# Collect Audit Inventory Data before SPC-1 Audit runs
/opt/SPC1RunDir/scripts/collect.before.audit.inventory.sh

# Change working directory
cd /opt/SPC1RunDir/spc1v3/SPC1_v302_JL

if [ -z ${1+x} ]; then
	out=`date +%H_%M-%m-%d-%y`
	echo "File name not set, using $out"
else
	out=$1
fi

echo "*** OUTPUT DIR $out***"

mkdir $out

ssh admin@spc1a800 "date; disk show -fields physical-size-512b; date" > $out/disk_show
ssh admin@spc1a800 "date; df -A; date" > $out/se_aggr_df-A_BEFORE_INIT
ssh admin@spc1a800 "date; df; date" > $out/se_vol_df-h_BEFORE_INIT

./spc1 -run SPC1_INIT -iops 15000 -master 23HOST.HST -setup 30 -output $out

ssh admin@spc1a800 "date; df -A; date" > $out/se_aggr_df-A_AFTER_INIT
ssh admin@spc1a800 "date; df; date" > $out/se_vol_df_AFTER_INIT

./spc1 -run SPC1_VERIFY -iops 100 -output $out

./spc1 -run SPC1_METRICS -iops 2401000 -master 23HOST.HST -setup 30 -output $out

ssh admin@spc1a800 "date; df -A; date" > $out/se_aggr_df-A_AFTER_REPEAT
ssh admin@spc1a800 "date; df; date" > $out/se_vol_df_AFTER_REPEAT

./spc1 -run SPC1_VERIFY -iops 100 -output $out

./spc1 -run SPC1_PERSIST_1 -iops 600250 -master 23HOST.HST -setup 30 -output $out

